{ config, lib, pkgs, ... }:

{

  sops.secrets.pushoverApiToken.owner = "taskwarrior-pushover";
  sops.secrets.pushoverUserKey.owner = "taskwarrior-pushover";
  sops.secrets.taskwarriorCa.owner = "taskwarrior-pushover";
  sops.secrets.taskwarriorCertificate.owner = "taskwarrior-pushover";
  sops.secrets.taskwarriorKey.owner = "taskwarrior-pushover";

  services.taskwarrior-pushover = {
    enable = true;
    recurrence = "on";
    onCalendar = "06:30:00";
    server = "taskd.ingolf-wagner.de:53589";
    pushoverApiTokenFile = config.sops.secrets.pushoverApiToken.path;
    pushoverUserKeyFile = config.sops.secrets.pushoverUserKey.path;
    caFile = config.sops.secrets.taskwarriorCa.path;
    certificateFile = config.sops.secrets.taskwarriorCertificate.path;
    keyFile = config.sops.secrets.taskwarriorKey.path;
    credentials = "1337/palo/ed0fdbe8-2dc3-408b-84cb-d07d363bccd2";
  };
}
